### Method

# GLib DateTime compare

since: 2.26

#### Declaration

    gint
    g_date_time_compare (
      gconstpointer dt1,
      gconstpointer dt2
    )

#### Description

A comparison function for `GDateTimes` that is suitable as a `GCompareFunc`. Both `GDateTimes` must be non-`NULL`.

Available since: 2.26

#### Parameters

`dt2`

  Type: `GDateTime`

  Second `GDateTime` to compare.

#### Return value

Type: `gint`

-1, 0 or 1 if `dt1` is less than, equal to or greater than `dt2`.